/*-----------------------------------*\
 * style.css
\*-----------------------------------*/

/**
 * copyright 2022 codewithsadee
 */





/*-----------------------------------*\
 * #CUSTOM PROPERTY
\*-----------------------------------*/

:root {

  /**
   * colors
   */

  --raw-seinna: #ffa424;
  --sizzling-sunrise: hsl(51, 95%, 54%);
  --scarlet: hsl(13, 96%, 47%);
  --black: hsl(0, 0%, 0%);
  --white: hsl(0, 0%, 100%);

  /**
   * typography
   */

  --ff-saira-stencil-one: "Saira Stencil One", sans-serif; 
  --ff-poppins: 'Poppins', sans-serif;
  --ff-roboto: 'Roboto', sans-serif;

  --fs-1: 2rem;
  --fs-2: calc(1.813rem + 1vw);
  --fs-3: calc(1.313rem + 1vw);
  --fs-4: 1.4rem;
  --fs-5: 1rem;
  --fs-6: 0.813rem;
  --fs-7: 0.75rem;

  --fw-400: 400;
  --fw-700: 700;

  /**
   * transition
   */

  --transition-1: 0.25s ease-in-out;

  /**
   * spacing
   */

  --section-padding: 80px;

  /**
   * radius
   */

  --radius-4: 4px;
  --radius-12: 12px;

}



/*-----------------------------------*\
 * #Custom ScrollBar
\*-----------------------------------*/

::-webkit-scrollbar{
  width: 10px;
}
::-webkit-scrollbar-track{
  background: #000000;
}
::-webkit-scrollbar-thumb{
  background: linear-gradient(#ff8c00 , #ff9a1e);
  border-radius: 5px;
}







/*-----------------------------------*\
 * #THEME COLORS
\*-----------------------------------*/

body.dark_theme {

  --bg-primary: hsl(0, 0%, 5%);
  --bg-secondary: hsl(0, 0%, 6%);
  --color-primary: hsl(0, 0%, 100%);
  --color-secondary: hsl(0, 0%, 62%);
  --card-shadow: hsla(0, 0%, 0%, 0.4);
  --input-bg: hsl(0, 0%, 16%);

  --shadow-1: 10px 10px 40px var(--card-shadow);


}

body.light_theme {

  --bg-primary: hsl(0, 0%, 90%);
  --bg-secondary: hsl(0, 0%, 100%);
  --color-primary: hsl(0, 0%, 12%);
  --color-secondary: hsl(0, 0%, 37%);
  --card-shadow: hsla(0, 0%, 0%, 0.1);
  --input-bg: hsl(0, 0%, 93%);
  --logo: url('assets/images/logo.png')
  --shadow-1: 10px 10px 40px var(--card-shadow);

}
*{
  scroll-behavior: smooth;
}
body{
  cursor: none;
}

/*-----------------------------------*\
 * #cursor
\*-----------------------------------*/

.cursor-dot{
  width: 5px;
  height: 5px;
  background-color: #ffffff;
}

.cursor-outline{
  width: 30px;
  height: 30px;
  border: 2px solid #ffa422;
}

.cursor-dot,
.cursor-outline {
  position: fixed;
  top: 0;
  left: 0;
  transform: translate(-50% , -50%);
  border-radius: 50%;
  z-index: 10;
  pointer-events: none;
}




/*-----------------------------------*\
 * #RESET
\*-----------------------------------*/

*, *::before, *::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

li { list-style: none; }

a { text-decoration: none; }

a,
img,
time,
span,
input,
label,
select,
button,
textarea,
ion-icon { display: block; }

input,
button,
select,
textarea {
  background: none;
  border: none;
  font: inherit;
}

button,
select { cursor: pointer; }

input,
textarea { width: 100%; }

ion-icon { pointer-events: none; }

:is(a, button, select) {
  outline-color: var(--scarlet);
  outline-offset: 3px;
}

::selection {
  background: var(--color-primary);
  color: var(--bg-primary);
}

html {
  font-family: var(--ff-roboto);
  scroll-behavior: smooth;
}

body {
  background: var(--bg-primary);
  transition: var(--transition-1);
  height: 100vh;
  /* background-color: #101010; */
  background-size: 20px 20px;
  background-image: 
  linear-gradient(to right, #4b4a4a1b 0.5px,transparent 1px),
  linear-gradient(to bottom, #4b4b4b1a 0.5px, transparent 1px);
}

body.active { overflow: hidden; }





/*-----------------------------------*\
 * #REUSED STYLE
\*-----------------------------------*/

.container { padding-inline: 10px; }

.h1 {
  font-size: var(--fs-1);
  line-height: 1.2;
  font-weight: 400;
}

.h2,
.h3,
.h4 {
  color: var(--color-primary);
  font-family: var(--ff-poppins);
  line-height: 1.2;
}

.h2 { font-size: var(--fs-2); }

.h3 { font-size: var(--fs-3); }

.h4 { font-size: var(--fs-5); }

.w-100 { width: 100%; }

.btn {
  max-width: max-content;
  color: var(--color-primary);
  font-weight: var(--fw-700);
  text-transform: uppercase;
  letter-spacing: 0.5px;
  padding: 10px 25px;
  border: 1px solid transparent;
  border-radius: var(--radius-4);
  transition: var(--transition-1);
}

.btn-primary { border-color: #ffca7f; }

.btn-primary:is(:hover, :focus) {
  background: var(--color-primary);
  color: var(--bg-primary);
  transform: scale(1.04);
  box-shadow: 0 0 40px #ffa3222e;
}

.btn-secondary {
  background: var(--raw-seinna);
  border-color: var(--raw-seinna);
  color: var(--black);
}

.btn-secondary:is(:hover, :focus) { --raw-seinna: hsl(0, 0%, 100%); }

.section-subtitle {
  position: relative;
  color: var(--color-secondary);
  text-transform: uppercase;
  padding-bottom: 5px;
  margin-bottom: 20px;
}

.section-subtitle::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 0;
  width: 60px;
  height: 2px;
  background: var(--color-secondary);
}

.section-title {
  max-width: 350px;
  margin-bottom: 17px;
  font-family: 'syne' , var(--ff-poppins);
}


.section-title {
  max-width: 350px;
  margin-bottom: 10px;
  font-family: 'syne' , var(--ff-poppins);
}

.section-text {
  color: var(--color-secondary);
  line-height: 1.8;
  margin-bottom: 20px;
}

#section-title-center{
  text-align: center;
  font-size: 28px;
  padding: 0px 10px 10px 10px;
  margin-bottom: 10px;
}

#section-title-mid{
  display: grid;
  justify-content: center;
}
#section-text-center{
  text-align: center;
}



.tooltip {
  position: absolute;
  top: -40px;
  background: var(--raw-seinna);
  min-width: max-content;
  color: var(--white);
  font-size: 15px;
  font-weight: var(--fw-700);
  padding: 5px 10px;
  border-radius: var(--radius-4);
  box-shadow: var(--shadow-1);
  transform: translateY(-10px);
  opacity: 0;
  pointer-events: none;
  transition: var(--transition-1);
  z-index: 1;
}





/*-----------------------------------*\
 * #HEADER
\*-----------------------------------*/




.header {
  padding-block: 15px;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  transition: var(--transition-1);
  z-index: 4;
}

.header.active {
  padding-block: 12px;
  background: rgba(35, 35, 35, 0.447);
  box-shadow: var(--shadow-1);
  backdrop-filter: blur(10px);
  border-bottom: 1px solid rgb(255, 255, 255, .2) ;
}

.header.active::before{
  content: '';
    position: absolute;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    background: linear-gradient(90deg, transparent, rgba(255, 255, 255, .4), transparent);
    transition: .5s;
}

.header.active:hover::before {
  left: 100%;
}


.header .container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 10px;
}
#logo{
  height: 30px;
}
.logo{
  position: relative;
  min-width: 77px;
  z-index: 2;
  transition: transform 300ms ease-out;
  display: flex;
}

.logo:hover{
  filter: drop-shadow(0px 0px 30px rgba(255, 255, 255, 0.192));
  transform: scale(1.1);
  transition: all  0.4sease-in-out;
}

.logo a {
  color: var(--color-primary);
  font-family: var(--ff-saira-stencil-one);
}

.logo span {
  display: inline-block;
  color: var(--raw-seinna);
  margin-left: 2px;
}

.navbar-actions {
  display: flex;
  align-items: center;
  gap: 15px;
  margin-left: auto;
}

.navbar-actions select {
  color: var(--color-primary);
  width: 45px;
}

.navbar-actions option {
  background: var(--bg-primary);
  color: var(--color-primary);
}

.theme-btn {
  padding: 4px;
  width: 48px;
  background: var(--bg-secondary);
  border-radius: 100px;
  transition: var(--transition-1);
  visibility: hidden;
}

.header.active .theme-btn { background: var(--bg-primary); }

.theme-btn .icon {
  position: relative;
  left: 0;
  width: 20px;
  height: 20px;
  border-radius: 50px;
  box-shadow: inset 9px -6px var(--color-primary);
  transition: var(--transition-1);
}

.theme-btn.active .icon {
  left: 20px;
  box-shadow: inset 20px -20px var(--sizzling-sunrise);
}

.nav-toggle-btn {
  position: relative;
  transform: rotate(-55deg);
  transition: var(--transition-1);
  z-index: 2;
  margin-left: 22rem;
}

.nav-toggle-btn.active { transform: rotate(-45deg); }

.nav-toggle-btn span {
  width: 20px;
  height: 2px;
  background: var(--color-primary);
  margin: 5px;
  transition: var(--transition-1);
}

.nav-toggle-btn :is(.one, .three) { width: 10px; }

.nav-toggle-btn .one {
  margin-left: auto;
  transform-origin: left;
}

.nav-toggle-btn .three { transform-origin: right; }

.nav-toggle-btn.active .one { transform: rotate(90deg) translateX(-3px); }

.nav-toggle-btn.active .three { transform: rotate(90deg) translateX(3px); }

.navbar {
  position: fixed;
  background: var(--bg-secondary);
  top: 100%;
  left: 0;
  width: 100%;
  height: 100%;
  display: grid;
  place-items: center;
  visibility: hidden;
  transition: 0.75s cubic-bezier(0.71, 0.01, 0.24, 0.99);
  transition-delay: 0.5s;
  z-index: 1;
}

.navbar.active {
  top: 0;
  visibility: visible;
  transition-delay: 0s;
}

.navbar-list > li {
  margin-block: 20px;
  padding-inline: 50px;
  overflow: hidden;
}

.navbar-link {
  position: relative;
  width: max-content;
  margin-inline: auto;
  color: var(--color-primary);
  font-family: var(--ff-poppins);
  font-size: var(--fs-1);
  padding: 10px;
  transform: translateY(50px);
  transition: 0.75s cubic-bezier(0.68, -0.55, 0.27, 2);
}

.navbar-link {
  position: relative;
  width: max-content;
  margin-inline: auto;
  color: var(--color-primary);
  font-family: 'syne';
  font-size: var(--fs-1);
  padding: 10px;
  transform: translateY(50px);
  transition: 0.75s cubic-bezier(0.68, -0.55, 0.27, 2);
}

.navbar.active .navbar-link {
  transform: translateY(0);
  transition-delay: 0.5s;
}

.navbar-link::before {
  content: "";
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  left: 0;
  height: 5px;
  width: 0;
  background: var(--raw-seinna);
  transition: var(--transition-1);
}

.navbar-link:is(:hover, :focus)::before { width: 100%; }




.star-icon {
  width: 25px;
  height: 25px;
  fill: #ff8c00;
  cursor: pointer;
  transition: all 0.2s ease-in-out;
}

.star-icon:hover {
  transform: scale(1.2) rotate(270deg); /* Reduced to quarter spin */
  filter: drop-shadow(0px 0px 20px #ffa43461);
}



/*-----------------------------------*\
 * #HERO
\*-----------------------------------*/

main { overflow-x: hidden; }

.hero {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding-top: 115px;
  margin-bottom: 60px;
}

.hero-banner {
  max-width: 500px;
  width: 125%;
  margin-bottom: 30px;
}

:is(.hero-social-list, .scroll-down) { display: none; }

.hero-content { max-width: 650px; }

.hero-title {
  text-align: center;
  font-family: 'syne';
  margin-bottom: 3px;
}


#slogan{
  font-size: 60px;
}
#para{
  color: #ffa422;
  margin: 0 0 20px 0;
  /* font-family: "Plus Jakarta Sans", serif; */
  margin-top: 0px;
  font-size: 16px ;
  letter-spacing: 0.5px;
  padding: 0 5px;
}
.hero .btn-primary {
   margin-inline: auto;
   font-size: 12px;
   background-color: #ffa422;
   color: black;
}





/*-----------------------------------*\
 * #scroll
\*-----------------------------------*/

.wheel{
  /* border: 1px solid white; */
  margin-inline: auto;
  width: 92%;
  max-width: 1500px;
  position: relative;
  height: 100px;
  margin-bottom: 1rem;
  overflow: hidden;
  mask-image: linear-gradient(to right,
    rgba(0,0,0,0),
    rgba(0,0,0,1) 20% ,
    rgba(0,0,0,1) 80% ,
    rgba(0,0,0,0)
    );
}

@keyframes scrollLeft{

  to{
    left: -200px;
  }

}

.wheel .icoon img{
  height: 70px;
}

.icoon{
  width: 70px;
  height: 70px;
  /* background-color: #ffa422; */
  border-radius: 6px;
  position: absolute;
  left: max(calc(200px * 25), 100%);
  animation-name: scrollLeft ;
  animation-duration: 40s;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
 
}

.icoon1{
  animation-delay: calc(40s / 30 * (30 - 1) * -1);
}

.icoon2{
  animation-delay: calc(40s / 30 * (30 - 2) * -1);
}

.icoon3{
  animation-delay: calc(40s / 30 * (30 - 3) * -1);
}

.icoon4{
  animation-delay: calc(40s / 30 * (30 - 4) * -1);
}

.icoon5{
  animation-delay: calc(40s / 30 * (30 - 5) * -1);
}

.icoon6{
  animation-delay: calc(40s / 30 * (30 - 6) * -1);
}

.icoon7{
  animation-delay: calc(40s / 30 * (30 - 7) * -1);
}

.icoon8{
  animation-delay: calc(40s / 30 * (30 - 8 ) * -1);
}

.icoon9{
  animation-delay: calc(40s / 30 * (30 - 9 ) * -1);
}

.icoon10{
  animation-delay: calc(40s / 30 * (30 - 10 ) * -1);
}

.icoon11{
  animation-delay: calc(40s / 30 * (30 - 11 ) * -1);
}

.icoon12{
  animation-delay: calc(40s / 30 * (30 - 12 ) * -1);
}

.icoon13{
  animation-delay: calc(40s / 30 * (30 - 13 ) * -1);
}

.icoon14{
  animation-delay: calc(40s / 30 * (30 - 14 ) * -1);
}

.icoon15{
  animation-delay: calc(40s / 30 * (30 - 15 ) * -1);
}

.icoon16{
  animation-delay: calc(40s / 30 * (30 - 16 ) * -1);
}

.icoon17{
  animation-delay: calc(40s / 30 * (30 - 17 ) * -1);
}

.icoon18{
  animation-delay: calc(40s / 30 * (30 - 18 ) * -1);
}

.icoon19{
  animation-delay: calc(40s / 30 * (30 - 19 ) * -1);
}

.icoon20{
  animation-delay: calc(40s / 30 * (30 - 20 ) * -1);
}

.icoon21{
  animation-delay: calc(40s / 30 * (30 - 21 ) * -1);
}

.icoon22{
  animation-delay: calc(40s / 30 * (30 - 22 ) * -1);
}

.icoon23{
  animation-delay: calc(40s / 30 * (30 - 23 ) * -1);
}

.icoon24{
  animation-delay: calc(40s / 30 * (30 - 24 ) * -1);
}

.icoon25{
  animation-delay: calc(40s / 30 * (30 - 25 ) * -1);
}

.icoon26{
  animation-delay: calc(40s / 30 * (30 - 26 ) * -1);
}

.icoon27{
  animation-delay: calc(40s / 30 * (30 - 27 ) * -1);
}

.icoon28{
  animation-delay: calc(40s / 30 * (30 - 28 ) * -1);
}

.icoon29{
  animation-delay: calc(40s / 30 * (30 - 29 ) * -1);
}

.icoon30{
  animation-delay: calc(40s / 30 * (30 - 30 ) * -1);
}






/*-----------------------------------*\
 * #scroll
\*-----------------------------------*/

.wheel-right {
  margin-inline: auto;
  width: 92%;
  max-width: 1500px;
  position: relative;
  height: 100px;
  overflow: hidden;
  mask-image: linear-gradient(to right,
    rgba(0,0,0,0),
    rgba(0,0,0,1) 20%,
    rgba(0,0,0,1) 80%,
    rgba(0,0,0,0)
  );
}

@keyframes scrollRight {
  to {
    right: -100%; /* Move to the right end */
  }
}

.wheel-right .icoon-right img {
  height: 70px;
}

.icoon-right {
  width: 70px;
  height: 70px;
  border-radius: 6px;
  position: absolute;
  right: calc(100% + 200px * 15); /* Start from the right side */
  /* max(calc(200px * 25), 100%); */
  animation-name: scrollRight; /* Change to scrollRight */
  animation-duration: 40s;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
}

/* Animation delays remain unchanged */
.icoon1-right { animation-delay: calc(40s / 30 * (30 - 1) * -1); }
.icoon2-right { animation-delay: calc(40s / 30 * (30 - 2) * -1); }
.icoon3-right { animation-delay: calc(40s / 30 * (30 - 3) * -1); }
.icoon4-right { animation-delay: calc(40s / 30 * (30 - 4) * -1); }
.icoon5-right { animation-delay: calc(40s / 30 * (30 - 5) * -1); }
.icoon6-right { animation-delay: calc(40s / 30 * (30 - 6) * -1); }
.icoon7-right { animation-delay: calc(40s / 30 * (30 - 7) * -1); }
.icoon8-right { animation-delay: calc(40s / 30 * (30 - 8) * -1); }
.icoon9-right { animation-delay: calc(40s / 30 * (30 - 9) * -1); }
.icoon10-right { animation-delay: calc(40s / 30 * (30 - 10) * -1); }
.icoon11-right { animation-delay: calc(40s / 30 * (30 - 11) * -1); }
.icoon12-right { animation-delay: calc(40s / 30 * (30 - 12) * -1); }
.icoon13-right { animation-delay: calc(40s / 30 * (30 - 13) * -1); }
.icoon14-right { animation-delay: calc(40s / 30 * (30 - 14) * -1); }
.icoon15-right { animation-delay: calc(40s / 30 * (30 - 15) * -1); }
.icoon16-right { animation-delay: calc(40s / 30 * (30 - 16) * -1); }
.icoon17-right { animation-delay: calc(40s / 30 * (30 - 17) * -1); }
.icoon18-right { animation-delay: calc(40s / 30 * (30 - 18) * -1); }
.icoon19-right { animation-delay: calc(40s / 30 * (30 - 19) * -1); }
.icoon20-right { animation-delay: calc(40s / 30 * (30 - 20) * -1); }
.icoon21-right { animation-delay: calc(40s / 30 * (30 - 21) * -1); }
.icoon22-right { animation-delay: calc(40s / 30 * (30 - 22) * -1); }
.icoon23-right { animation-delay: calc(40s / 30 * (30 - 23) * -1); }
.icoon24-right { animation-delay: calc(40s / 30 * (30 - 24) * -1); }
.icoon25-right { animation-delay: calc(40s / 30 * (30 - 25) * -1); }
.icoon26-right { animation-delay: calc(40s / 30 * (30 - 26) * -1); }
.icoon27-right { animation-delay: calc(40s / 30 * (30 - 27) * -1); }
.icoon28-right { animation-delay: calc(40s / 30 * (30 - 28) * -1); }
.icoon29-right { animation-delay: calc(40s / 30 * (30 - 29) * -1); }
.icoon30-right { animation-delay: calc(40s / 30 * (30 - 30) * -1); }
















 




/*-----------------------------------*\
 * #STATS
\*-----------------------------------*/

.service-header{
  text-align: center;
  margin-bottom: 70px;
}

.service{
  font-family: 'syne', var(--ff-poppins);
  color: #ffffff;
  position: relative;
  text-decoration: none;
  display: inline-block;
}
.service a{
  color: #ffffff;
}

.service::before {
  content: '';
  position: absolute;
  width: 100%;
  height: 4px;
  border-radius: 4px;
  background-color: #ffa422;
  bottom: 0;
  left: 0;
  transform-origin: right;
  transform: scaleX(0);
  transition: transform .3s ease-in-out;
}

.service:hover::before {
  transform-origin: left;
  transform: scaleX(1);
}


.service{
  font-size: 35px;
  font-weight: 900;
  text-transform: capitalize;
  color: hsl(0 , 0%, 100%);
  line-height: 1.2;
}

.stats { padding-block: var(--section-padding); }

.stats-list {
  display: grid;
  gap: 50px;
}

.stats-card {
  background: var(--bg-secondary);
  display: flex;
  align-items: center;
  gap: 10px;
  padding: 25px;
  padding-left: 40px;
  border-radius: var(--radius-12);
  box-shadow: var(--shadow-1);
  transition: var(--transition-1);
}

.stats-card:is(:hover, :focus) { transform: translateY(-5px); }

.stats-card .card-icon {
  /* background: var(--raw-seinna); */
  width: 60px;
  height: 60px;
  display: grid;
  place-items: center;
  border-radius: 50%;
  transition: transform 300ms ease-out;
}

.stats-card .card-icon:hover{
  filter: drop-shadow(0px 0px 30px rgba(255, 255, 255, 0.192));
  transform: scale(1.1);
  transition: all  0.4sease-in-out;
}

.stats-card .card-icon img {
  width: 100%;
  /* filter: invert(1); */
  
}

.stats-card .card-title {
  width: calc(70% - 0px);
  color: var(--raw-seinna);
  text-align: center;
}
.btn-categories{
  font-size: 27px;
  font-family: 'syne'; 
}
.jakarta{
  font-family: "Plus Jakarta Sans", serif;
  font-optical-sizing: auto;
  font-weight: 200;
  font-style: normal;
  font-size: 16px;
  margin-top: 12px;
  color: aliceblue;
}
.stats-card .card-title strong {
  display: block;
  color: var(--color-primary);
  font-size: initial;
  line-height: 1.3;
  margin-top: 5px;
}

.stats-card > ion-icon { color: var(--color-secondary); }





/*-----------------------------------*\
 * #ABOUT
\*-----------------------------------*/

.about { padding-block: var(--section-padding); }

.about-banner {
  max-width: 400px;
  margin-inline: auto;
  margin-bottom: 80px;
}

.about .btn {
  max-width: unset;
  width: 100%;
}

.about .btn-secondary { margin-bottom: 10px; }





/*-----------------------------------*\
 * #SKILLS
\*-----------------------------------*/

.skills { padding-block: var(--section-padding); }

.skills-content { margin-bottom: 50px; }

.skills-toggle {
  background: var(--bg-secondary);
  position: relative;
  width: max-content;
  margin-inline: auto;
  display: flex;
  align-items: center;
  padding: 5px;
  border-radius: 100px;
  box-shadow: var(--shadow-1);
  z-index: 1;
}

.skills-toggle::before {
  content: "";
  position: absolute;
  top: 5px;
  left: 5px;
  bottom: 5px;
  width: 93px;
  background: var(--raw-seinna);
  border-radius: 100px;
  transition: var(--transition-1);
  z-index: -1;
}

.skills-toggle.active::before {
  left: 98px;
  width: 94px;
}

.toggle-btn {
  color: var(--color-primary);
  font-family: var(--ff-poppins);
  padding: 5px 25px;
  transition: var(--transition-1);
}

.toggle-btn.active { color: var(--white); }

.skills-box.active .skills-list,
.skills-box .tools-list { display: none; }

.skills-box .skills-list,
.skills-box.active .tools-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  gap: 15px;
  animation: fadeIn 0.5s ease-out forwards;
}

@keyframes fadeIn {

  0% { opacity: 0; }
  100% { opacity: 1; }

}

.skill-card {
  position: relative;
  background: var(--bg-secondary);
  width: 80px;
  height: 80px;
  display: grid;
  place-items: center;
  border-radius: var(--radius-12);
  box-shadow: var(--shadow-1);
  cursor: help;
}

.skill-card:hover .tooltip {
  transform: translateY(0);
  opacity: 1;
}





/*-----------------------------------*\
 * #PROJECT
\*-----------------------------------*/

.project { padding-block: var(--section-padding); }

.project-list > li { margin-bottom: 30px; }

.project-card {
  position: relative;
  overflow: hidden;
  border-radius: var(--radius-12);
  box-shadow: 2px 4px 6px hsla(0, 0%, 0%, 0.2);
}

.project-card::after {
  content: "";
  position: absolute;
  inset: 0;
  border-radius: inherit;
  transition: var(--transition-1);
}

.project-card:is(:hover, :focus)::after {
  background: hsla(0, 0%, 100%, 0.1);
  backdrop-filter: blur(0.5px);
}

.project-card .card-content {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  padding: 20px;
}

.project-card .card-title { margin-bottom: 10px; }

.project-card :is(.card-title, .publish-date) {
  padding: 6px 12px;
  width: max-content;
  box-shadow: var(--shadow-1);
  transform: translateY(20px);
  opacity: 0;
  transition: var(--transition-1);
  background: #000000;
  color: #ffb922;
  font-family: 'syne';
}

.project-card .publish-date {
  font-size: var(--fs-6);
  color: var(--color-primary);
  transition-delay: 0s;
}

.project-card:is(:hover, :focus) :is(.card-title, .publish-date) {
  transform: translateY(0);
  opacity: 1;
}

.project-card:is(:hover, :focus) .publish-date { transition-delay: 0.1s; }

/* .load-more {
  font-size: var(--fs-4);
  color: var(--raw-seinna);
  text-decoration: underline;
  margin-inline: auto;
} */

.load-more{
  word-spacing: 5px;
  color: #ffffff;
  margin-inline: auto;
}
#work-load{
  font-family: 'syne', sans-serif;
  font-size: 27px;
	line-height: 1.5;
  height: 100vh;
  text-decoration: none;
  color: #ffa422;
  font-weight: 700;
  position: relative;
  display: inline;
}

#work-load::before {
  background: hsl(0, 0%, 100%);
  content: "";
  inset: 0;
  position: absolute;
  transform: scaleX(0);
  transform-origin: right;
  transition: transform 0.5s ease-in-out;
  z-index: -1;
}

#work-load:hover::before {
  transform: scaleX(1);
  transform-origin: left;
}




/*-----------------------------------*\
 * #CONTACT
\*-----------------------------------*/



.testmain{
  display: flex;
  justify-content: center;
}

.test-sectionheader{
  text-align: center;
  margin-bottom: 50px;
  align-items: center;
}

.testcontainer{
  max-width: 1150px;
  margin: auto;
  padding: 0 15px;
}

.test-sectionheader{
  text-align: center;
  margin-bottom: 80px;
}

.test-sectionheader{
  font-family: 'syne', var(--ff-poppins);
  color: #ffffff;
  position: relative;
  text-decoration: none;
  display: inline-block;
}
.test-sectionheader a{
  color: #ffffff;
}

.test-sectionheader::before {
  content: '';
  position: absolute;
  width: 100%;
  height: 4px;
  border-radius: 4px;
  background-color: #ffa422;
  bottom: 0;
  left: 0;
  transform-origin: right;
  transform: scaleX(0);
  transition: transform .3s ease-in-out;
}

.test-sectionheader:hover::before {
  transform-origin: left;
  transform: scaleX(1);
}


.test-sectionheader{
  font-size: 35px;
  font-weight: 900;
  text-transform: capitalize;
  color: hsl(0 , 0%, 100%);
  line-height: 1.2;
}





.test-sectionheader .client-title{
  font-size: 35px;
  font-weight: 700;
  font-family: "syne", serif;
  text-transform: capitalize;
  color: hsl(0 , 0%, 100%);
  line-height: 1.2;
}





.testimonials{
  padding: 100px 0;
}

.testitem{
  background-color: hsl(0, 0%, 100%);
  padding: 30px;
  border-radius: 30px;
}

.testitem .testinfo{
  display: flex;
  align-items: center;
}

.testitem img{
  max-width: 80px;
  border-radius: 50%;
  margin-right: 20px;
  vertical-align: middle;

}

.testitem .testname{
  font-size: 24px;
  text-transform: capitalize;
  font-weight: 600;
  color: hsl(0, 0%, 0%);
  line-height: 1.2;
}
.testitem .testjob{
  text-transform: capitalize;
  color: hsl(0, 0%, 40%);
}

.testitem p{
  margin-top: 20px;
  color: hsl(0, 0%, 40%);
}

.testitem .testrating{
  margin-top: 15px;
  font-size: 14px;
  color: hsl(36, 88%, 66%);

}

.testimonials .swiper-pagination{
  position: relative;
  margin-top: 40px;
  bottom: auto;
  z-index: 1;
}

.testimonials .swiper-pagination-bullet{
  height: 12px;
  width: 12px;
  background-color: #ffa422;
}






/*-----------------------------------*\
 * #CONTACT
\*-----------------------------------*/

.contact { padding-block: var(--section-padding); }

.contact-content { margin-bottom: 50px; }

.contact-list-item {
  display: flex;
  align-items: flex-start;
  gap: 15px;
  margin-bottom: 20px;
}

.contact-item-icon {
  font-size: 25px;
  color: var(--color-primary);
}

.contact-item-icon ion-icon { --ionicon-stroke-width: 40px; }

.contact-item-title { margin-bottom: 10px; }

.contact-list-item .contact-info {
  color: var(--color-secondary);
  font-style: normal;
  line-height: 1.6;
  transition: var(--transition-1);
}

.contact-info:not(address):is(:hover, :focus) { color: var(--color-primary); }

.contac-social-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-start;
  align-items: center;
  gap: 15px;
  padding-inline: 40px;
}

.contact-social-link {
  position: relative;
  background: var(--color-primary);
  color: var(--bg-primary);
  width: 35px;
  height: 35px;
  display: grid;
  place-items: center;
  border-radius: 50%;
  transition: var(--transition-1);
}

.contact-social-link:is(:hover, :focus) {
  background: var(--raw-seinna);
  color: var(--white);
}

.contact-social-link:is(:hover, :focus) .tooltip {
  transform: translateY(0);
  opacity: 1;
}

.contact-form {
  background: var(--bg-secondary);
  padding: 30px;
  border-radius: var(--radius-12);
  box-shadow: var(--shadow-1);
  height: 340px;
}


hr{
  border: 1.5px solid rgb(42, 42, 42);
  margin-bottom: 15px;
}



.contact-form span{
  margin-top: 12px;
  color: #ffa422;
  text-align: center;
}

.form-wrapper { margin-bottom: 25px; }

.form-label {
  color: var(--color-primary);
  font-size: var(--fs-7);
  font-family: var(--ff-poppins);
  margin-bottom: 8px;
  margin-left: 5px;
}

.input-wrapper { position: relative; }

.input-field {
  background: var(--input-bg);
  color: var(--raw-seinna);
  padding: 10px;
  padding-left: 40px;
  border-radius: var(--radius-12);
  transition: var(--transition-1);
}

.input-wrapper ion-icon {
  position: absolute;
  top: 10px;
  left: 10px;
  color: var(--color-secondary);
  font-size: 20px;
  transition: var(--transition-1);
}

textarea.input-field {
  min-height: 60px;
  height: 120px;
  max-height: 200px;
  resize: vertical;
}

.input-field:focus { outline: 1px solid; }

.input-field:focus + ion-icon { color: var(--raw-seinna); }

.contact .btn-primary {
  max-width: unset;
  width: 100%;
  background: #ffa422;
  color: var(--bg-primary);
}

#contact-link a{
  color: rgb(13, 13, 13);
}


#country{
  display: flex;
  column-gap: 13px;
}





/*-----------------------------------*\
 * #FOOTER
\*-----------------------------------*/

.footer {
  background: var(--bg-secondary);
  padding-block: 20px;
  text-align: center;
  box-shadow: var(--shadow-1);
}

.footer .logo { margin-bottom: 15px; }

.copyright {
  color: var(--color-secondary);
  line-height: 1.6;
}

.copyright a {
  display: inline-block;
  color: var(--raw-seinna);
}





/*-----------------------------------*\
 * #GO TO TOP
\*-----------------------------------*/

.go-top {
  position: fixed;
  bottom: 25px;
  right: 25px;
  width: 45px;
  height: 45px;
  display: grid;
  place-items: center;
  font-size: 20px;
  color: var(--color-primary);
  border: 2px solid var(--color-primary);
  border-radius: 50%;
  opacity: 0;
  pointer-events: none;
  transform: translateY(10px);
  transition: var(--transition-1);
  z-index: 2;
}

.go-top.active {
  opacity: 1;
  pointer-events: all;
  transform: translateY(0);
}





/*-----------------------------------*\
 * #MEDIA QUERIES
\*-----------------------------------*/

/**
 * responsive for larger than 550px screen
 */

 @media (min-width: 320px) {
  #slogan{
    font-size: 50px;
    margin-bottom: 15px;
  }

  #logo{
    display: inline-block;
  }

  .logo{
    display: flex;
    justify-content: center;
  }


  #portlink{
    color: #fffbf6;
    text-decoration: none;
  }
  #portlink:hover{
    color: #1d1d1d;
    text-decoration: none;
  }

  #get-text{
    font-size: 0.9rem;
  }
}







@media (max-width: 550px) {
 #country{
  display: inline-block;
  width: 100%;
 }

 #portlink{
  color: #fffbf6;
  text-decoration: none;
}
#portlink:hover{
  color: #1d1d1d;
  text-decoration: none;
}

#main-text{
  position: relative;
  top: 0.5rem;
  text-align: center;
}

#slogan{
  font-size: 35px;
}

.hero{
  min-height: 60vh;
  padding-top: 70px;
}

#hero-banner-sm{
  margin: auto;
  width : 400px;
}

#get-text{
  font-size: 15px;
  margin-top: 30px;
}

.contact-form {
  height: 430px;
}

.about-banner{
  margin-bottom: -30px;
}

}





/* Mobile screens (320px to 550px) */
@media (max-width: 320px){
  .contact-form {
    height: 512px;
    background-color: red;
  }

}



/* Mobile screens (320px to 550px) */
@media (max-width: 550px) {
  .cursor-dot,
  .cursor-outline {
    display: none;
  }

}

/* Tablet screens (551px to 992px) */
@media (min-width: 551px) and (max-width: 992px) {
  .cursor-dot,
  .cursor-outline {
    display: none;
  }
  
}

/* Desktop screens (993px and above) */
@media (min-width: 993px) {
  .cursor-dot,
  .cursor-outline {
    display: block;
  }
  
  

}






@media (min-width: 550px) {

/**
 * REUSED STYLE
 */


 .container {
  max-width: 550px;
  margin-inline: auto;
}

.section-title { max-width: 380px; }


#portlink{
  color: #fffbf6;
  text-decoration: none;
}
#portlink:hover{
  color: #1d1d1d;
  text-decoration: none;
}



/**
 * PROJECT
 */

.project-list {
  column-count: 2;
  column-gap: 25px;
}

.project-list > li:first-child { column-span: all; }

}





/**
* responsive for larger than 768px screen
*/

@media (min-width: 768px) {

/**
 * REUSED STYLE
 */

.container { max-width: 720px; }

.section-title { max-width: 430px; }



/**
 * STATS
 */

.stats-list { grid-template-columns: 1fr 1fr; }



/**
 * ABOUT
 */

.btn-group {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 20px;
}

#portlink{
  color: #fffbf6;
  text-decoration: none;
}
#portlink:hover{
  color: #1d1d1d;
  text-decoration: none;
}

.about .btn { max-width: max-content; }

.about .btn-secondary { margin-bottom: 0; }



/**
 * CONTACT
 */

.contact-form {
  max-width: 450px;
  margin-inline: auto;
}

}


@media (max-width: 992px) {
  .hero-banner {
    max-width: 500px;
    width: 125%;
    margin-bottom: -115px;
  }

  
  .hero-banner {
    max-width: 500px;
    width: 125%;
    margin-bottom: -50px;
  }

}






/**
* responsive for larger than 992px screen
*/

@media (min-width: 992px) {

/**
 * CUSTOM PROPERTY
 */

:root {

  /**
   * typography
   */

  --fs-2: 3rem;

  /**
   * spacing
   */

  --section-padding: 100px;

}


.hero-social-list , .scroll-down{
  margin: 0 60px 0 ;
}



/**
 * REUSED STYLE
 */

.container { max-width: 980px; }

.section-content {
  position: relative;
  padding-left: 40px;
}

.section-subtitle {
  position: absolute;
  top: 0;
  left: 0;
  transform: rotate(0.75turn) translateX(-100%);
  transform-origin: left top;
  margin-bottom: 0;
}

.section-subtitle::after {
  top: 8px;
  left: auto;
  right: calc(100% + 20px);
}



/**
 * HEADER
 */

.header { padding-block: 30px; }

.header.active { padding-block: 15px; }

.navbar-actions {
  order: 1;
  margin-left: 0;
}

.nav-toggle-btn { display: none; }

.navbar { all: unset; }

.navbar-link {
  transform: translateY(0);
  font-size: unset;
  padding-inline: 5px;
}

.navbar-list > li {
  margin: 0;
  padding: 0;
  overflow: visible;
}

.navbar-list {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
}

.navbar-link::before { height: 2px; }



/**
 * HERO
 */

.hero {
  position: relative;
  padding-top: 0;
  height: 100vh;
}

.hero-banner {
  max-width: unset;
  height: 70%;
  margin-bottom: 0;
}

.hero img {
  height: 100%;
  width: auto;
  margin-inline: auto;
}

.hero-content {
  --color-primary: var(--white);

  position: absolute;
  top: 65%;
  filter: drop-shadow(2px 4px 10px var(--black));
}

.hero .btn-primary:is(:hover, :focus) 
{ 
  color: hsl(0, 0%, 12%); 
  background-color: aliceblue;
  
}


.hero-social-list {
  display: block;
  position: absolute;
  bottom: 92px;
  left: -30px;
}

.hero-social-list::after {
  content: "";
  position: absolute;
  bottom: -40px;
  left: 13px;
  width: 2px;
  height: 30px;
  background: var(--color-secondary);
}

.hero-social-link {
  position: relative;
  color: var(--color-secondary);
  margin-block: 5px;
  padding: 5px;
  font-size: 18px;
  transition: var(--transition-1);
}

.hero-social-link:is(:hover, :focus) { color: var(--color-primary); }

.hero-social-link .tooltip {
  --trans-x: 10px;

  left: calc(100% + 10px);
  top: 50%;
  transform: translateY(-50%) translateX(var(--trans-x));
}

.hero-social-link:is(:hover, :focus) .tooltip {
  --trans-x: 0;
  opacity: 1;
}

.scroll-down {
  display: block;
  position: absolute;
  bottom: 80px;
  right: -30px;
  color: var(--color-secondary);
  font-size: 1.125rem;
  text-transform: uppercase;
  transform: rotate(90deg);
  transform-origin: top right;
}

.scroll-down::after {
  content: "";
  position: absolute;
  top: 8px;
  right: -50px;
  width: 30px;
  height: 2px;
  background: var(--color-secondary);
}





/**
 * STATS
 */

.stats-list { grid-template-columns: repeat(2, 1fr); }

.stats-card { height: 100%; }




/**
 * ABOUT
 */

.about {
  display: grid;
  grid-template-columns: 1fr 1fr;
  align-items: center;
  gap: 30px;
}

.about-banner { margin-bottom: 0; }




/**
 * SKILLS
 */

.skills {
  display: grid;
  grid-template-columns: 1fr 1fr;
  align-items: center;
  gap: 50px;
}

.skills-content { margin-bottom: 0; }

.skills-toggle { margin-inline: 0; }



/**
 * PROJECT
 */

.project-list { column-count: 3; }

.project-list > li:first-child {
  column-span: unset;
  margin: 25px;
  margin-left: 0;
}



/**
 * CONTACT
 */

.contact {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 30px;
}

.contact-content { margin-bottom: 0; }

.contact-form { width: 100%; }

.contact-list { margin-left: -40px; }



/**
 * FOOTER
 */

.footer .container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.footer .logo { margin-bottom: 0; }

}





/**
* responsive for larger than 1200px screen
*/

@media (min-width: 1200px) {

/**
 * REUSED STYLE
 */



.container { max-width: 1150px; }

.section-title { max-width: 460px; }




/**
 * HERO
 */



.hero-social-list { left: -80px; }

.scroll-down { right: -80px; }




/**
 * ABOUT
 */

.about-banner { 
  max-width: 450px;
}

}